﻿package pers.SimpleAlarmClock;
import android.content.Context;
import android.util.AttributeSet;
import android.widget.Button;
import android.graphics.Typeface;
//Класс отвечает за поведение режимов День/Ночь 
public class SwitchButton extends Button {
 private final String AM_TEXT = "День"; 
 private final String PM_TEXT = "Ночь"; 
 private boolean mChecked = true; //true, если день
 
 public SwitchButton(Context context) {
  this(context, null);
 }
 
 public SwitchButton(Context context, AttributeSet attrs) {
  super(context, attrs);
  Typeface t = Typeface.createFromAsset(context.getAssets(),"fonts/font.ttf");
  setTypeface(t);
  setText(AM_TEXT);
  setTextColor(SimpleAlarmClock.BLACK);
 }

 public boolean isChecked() { return mChecked; }
      
 public void setChecked(boolean checked) {
  mChecked = checked;
  updateColors();
 }

 public void switchState() {
  mChecked = !mChecked;
  updateColors();
 }

 private void updateColors() {
  setText(mChecked ? AM_TEXT : PM_TEXT);
  setTextColor(mChecked ? SimpleAlarmClock.BLACK : SimpleAlarmClock.WHITE);
 }
}